# Uses of Interface
org.github.jamm.FieldAndClassFilter

Packages that use FieldAndClassFilter
Package
Description
org.github.jamm

## Uses of FieldAndClassFilter in org.github.jamm

Fields in org.github.jamm declared as FieldAndClassFilter
Modifier and Type
Field
Description
`static final FieldAndClassFilter`
Filters.`IGNORE_KNOWN_SINGLETONS`
Filter excluding class such as `Enum`, `Class`, `ClassLoader` and `AccessControlContext`
`static final FieldAndClassFilter`
Filters.`IGNORE_UNMETERED_FIELDS_AND_CLASSES`
Filter excluding fields and class annotated with `Unmetered`
Methods in org.github.jamm that return FieldAndClassFilter
Modifier and Type
Method
Description
`static FieldAndClassFilter`
Filters.`getClassFilters(boolean ignoreKnownSingletons)`
Constructors in org.github.jamm with parameters of type FieldAndClassFilter
Modifier
Constructor
Description
``
`MemoryMeter(MemoryMeterStrategy strategy, FieldAndClassFilter classFilter, FieldFilter fieldFilter, MemoryMeterListener.Factory listenerFactory)`
Create a new `MemoryMeter` instance from the different component it needs to measure object graph.